"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepMerge = void 0;
/**
 *
 * @param defaults
 * @param overrides
 */
function deepMerge(defaults, overrides) {
    Object.keys(overrides).forEach((key) => {
        const defaultValue = defaults[key];
        const overrideValue = overrides[key];
        if (overrideValue !== undefined) {
            if (defaultValue === undefined || typeof defaultValue !== 'object' || typeof overrideValue !== 'object' || Array.isArray(defaultValue)) {
                defaults[key] = overrideValue;
            }
            else {
                deepMerge(defaultValue, overrideValue);
            }
        }
    });
}
exports.deepMerge = deepMerge;
//# sourceMappingURL=deep-merge.js.map