/**
 * A helper class that can be used by test runners.
 * The first time you call `record`, it will fill the internal registry with the files required in the current working directory (excluding node_modules)
 * Then each time you call `clear` it will clear those files from the require cache
 *
 * It will also delete the `module.children` property of the root module.
 * @see https://github.com/stryker-mutator/stryker/issues/2461
 */
export declare class DirectoryRequireCache {
    private cache;
    private parents;
    /**
     * Records the files required in the current working directory (excluding node_modules)
     * Only does so the first time, any subsequent calls will be ignored
     */
    record(): void;
    clear(): void;
}
//# sourceMappingURL=directory-require-cache.d.ts.map