"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.errorToString = exports.isErrnoException = void 0;
function isErrnoException(error) {
    return typeof error.code === 'string';
}
exports.isErrnoException = isErrnoException;
function errorToString(error) {
    if (!error) {
        return '';
    }
    else if (isErrnoException(error)) {
        return `${error.name}: ${error.code} (${error.syscall}) ${error.stack}`;
    }
    else if (error instanceof Error) {
        const message = `${error.name}: ${error.message}`;
        if (error.stack) {
            return `${message}\n${error.stack.toString()}`;
        }
        else {
            return message;
        }
    }
    else {
        return error.toString();
    }
}
exports.errorToString = errorToString;
//# sourceMappingURL=errors.js.map