declare type ImmutablePrimitive = undefined | null | boolean | string | number | ((...args: any[]) => any);
export declare type Immutable<T> = T extends ImmutablePrimitive ? T : T extends Array<infer U> ? ImmutableArray<U> : T extends Map<infer K, infer V> ? ImmutableMap<K, V> : T extends Set<infer M> ? ImmutableSet<M> : ImmutableObject<T>;
export declare type ImmutableArray<T> = ReadonlyArray<Immutable<T>>;
export declare type ImmutableMap<K, V> = ReadonlyMap<Immutable<K>, Immutable<V>>;
export declare type ImmutableSet<T> = ReadonlySet<Immutable<T>>;
export declare type ImmutableObject<T> = {
    readonly [K in keyof T]: Immutable<T[K]>;
};
export declare function deepFreeze<T>(target: T): Immutable<T>;
export {};
//# sourceMappingURL=immutable.d.ts.map