"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const sinon = require("sinon");
const chai_1 = require("chai");
const src_1 = require("../../src");
const resolveTestResource = path.resolve.bind(path, __dirname, '..', '..', 'testResources', 'require-resolve');
describe(src_1.requireResolve.name, () => {
    it('should be able to require from parent', () => {
        const bar = src_1.requireResolve('bar', resolveTestResource());
        chai_1.expect(bar).eq('bar from parent');
    });
    it('should be able to require from child', () => {
        const bar = src_1.requireResolve('bar', resolveTestResource('foo'));
        chai_1.expect(bar).eq('bar from foo');
    });
    it('should be able to require from current working directory', () => {
        sinon.stub(process, 'cwd').returns(resolveTestResource('baz'));
        const bar = src_1.requireResolve('bar');
        chai_1.expect(bar).eq('bar from baz');
    });
});
//# sourceMappingURL=require-resolve.it.spec.js.map