"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const sinon = require("sinon");
const noop_logger_1 = require("../../src/noop-logger");
describe('noopLogger', () => {
    it('should not enable any logging', () => {
        chai_1.expect(noop_logger_1.noopLogger.isTraceEnabled()).false;
        chai_1.expect(noop_logger_1.noopLogger.isDebugEnabled()).false;
        chai_1.expect(noop_logger_1.noopLogger.isInfoEnabled()).false;
        chai_1.expect(noop_logger_1.noopLogger.isWarnEnabled()).false;
        chai_1.expect(noop_logger_1.noopLogger.isErrorEnabled()).false;
        chai_1.expect(noop_logger_1.noopLogger.isFatalEnabled()).false;
    });
    it('should not do any actual logging', () => {
        const logStub = sinon.stub(console, 'log');
        noop_logger_1.noopLogger.trace();
        noop_logger_1.noopLogger.debug();
        noop_logger_1.noopLogger.info();
        noop_logger_1.noopLogger.warn();
        noop_logger_1.noopLogger.error();
        noop_logger_1.noopLogger.fatal();
        chai_1.expect(logStub).not.called;
    });
});
//# sourceMappingURL=noop-logger.spec.js.map