"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const errors_1 = require("../../src/errors");
const stryker_error_1 = require("../../src/stryker-error");
describe('StrykerError', () => {
    it('should set inner error', () => {
        const innerError = new Error();
        const sut = new stryker_error_1.default('some message', innerError);
        chai_1.expect(sut.innerError).eq(innerError);
    });
    it('should add inner error to the message', () => {
        const innerError = new Error();
        const sut = new stryker_error_1.default('some message', innerError);
        chai_1.expect(sut.message).eq(`some message. Inner error: ${errors_1.errorToString(innerError)}`);
    });
    it('should work without an inner error', () => {
        const sut = new stryker_error_1.default('foo bar');
        chai_1.expect(sut.message).eq('foo bar');
    });
});
//# sourceMappingURL=stryker-error.spec.js.map